class_name NPCCar
extends PathFollow2D

@export var car : Car
@export var speed = 0.1
@export var distanceMax = 100


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	if position.distance_to(car.position) < 200:
		progress_ratio += delta * speed;
	car.moveTo(position);
